;; Generated by boxworld generator
;; http://www.cs.rutgers.edu/~jasmuth/boxworld.tar.gz
;; by John Asmuth (jasmuth@cs.rutgers.edu)

(define (domain boxworld)
 (:requirements :typing :equality :disjunctive-preconditions
                :probabilistic-effects :existential-preconditions
                :conditional-effects :negative-preconditions
                :universal-preconditions)
 (:types budget-value - object city box truck plane)
  (:constants bud1 bud5 bud25 - budget-value) (:predicates (budget ?h - budget-value) (budget-decrement ?h0 ?h1 ?h2 - budget-value) (box-at-city ?b - box ?c - city)
              (truck-at-city ?t - truck ?c - city)
              (box-on-truck ?b - box ?t - truck)
              (plane-at-city ?p - plane ?c - city)
              (box-on-plane ?b - box ?p - plane)
              (destination ?b - box ?dst - city)
              (can-drive ?src - city ?dst - city)
              (wrong-drive1 ?src - city ?wrongdst - city)
              (wrong-drive2 ?src - city ?wrongdst - city)
              (wrong-drive3 ?src - city ?wrongdst - city)
              (can-fly ?src - city ?dst - city))
 (:functions (total-cost))
 (:action load-box-on-truck-in-city
  :parameters (?hcur ?hnew - budget-value ?b - box ?t - truck ?c - city)
  :precondition (and (budget ?hcur) (budget-decrement ?hcur bud1 ?hnew) (box-at-city ?b ?c)
                               (not (destination ?b ?c))
                               (truck-at-city ?t ?c)
                          )
  :effect (and (not (budget ?hcur)) (budget ?hnew) (increase (total-cost) 1) (box-on-truck ?b ?t)
               (not (box-at-city ?b ?c))
                )
 )

 (:action unload-box-from-truck-in-city
  :parameters (?hcur ?hnew - budget-value ?b - box ?t - truck ?c - city)
  :precondition (and (budget ?hcur) (budget-decrement ?hcur bud1 ?hnew) (box-on-truck ?b ?t)
                               (truck-at-city ?t ?c)
                          )
  :effect (and (not (budget ?hcur)) (budget ?hnew) (increase (total-cost) 1) (box-at-city ?b ?c)
               (not (box-on-truck ?b ?t))
                )
 )

 (:action load-box-on-plane-in-city
  :parameters (?hcur ?hnew - budget-value ?b - box ?p - plane ?c - city)
  :precondition (and (budget ?hcur) (budget-decrement ?hcur bud1 ?hnew) (box-at-city ?b ?c)
                     (not (destination ?b ?c))
                     (plane-at-city ?p ?c)
                )
  :effect (and (not (budget ?hcur)) (budget ?hnew) (increase (total-cost) 1) (box-on-plane ?b ?p)
               (not (box-at-city ?b ?c))
                )
 )

 (:action unload-box-from-plane-in-city
  :parameters (?hcur ?hnew - budget-value ?b - box ?p - plane ?c - city)
  :precondition (and (budget ?hcur) (budget-decrement ?hcur bud1 ?hnew) (box-on-plane ?b ?p)
                     (plane-at-city ?p ?c)
                )
  :effect (and (not (budget ?hcur)) (budget ?hnew) (increase (total-cost) 1) (box-at-city ?b ?c)
               (not (box-on-plane ?b ?p))
                )
 )

 (:action drive-truck
  :parameters (?hcur ?hnew - budget-value ?t - truck ?src - city ?dst ?wdst1 ?wdst2 ?wdst3 - city)
  :precondition (and (budget ?hcur) (budget-decrement ?hcur bud5 ?hnew) (truck-at-city ?t ?src)
                     (can-drive ?src ?dst)
                     (wrong-drive1 ?src ?wdst1)
                     (wrong-drive2 ?src ?wdst2)
                     (wrong-drive3 ?src ?wdst3)
                )
  :effect (and (not (budget ?hcur)) (budget ?hnew) (increase (total-cost) 5) (not (truck-at-city ?t ?src))
               (probabilistic
                0.2 (probabilistic
                      1/3 (truck-at-city ?t ?wdst1)
                      1/3 (truck-at-city ?t ?wdst2)
                      1/3 (truck-at-city ?t ?wdst3)
                     )
                0.8 (truck-at-city ?t ?dst)
               )
          )
 )

 (:action fly-plane
  :parameters (?hcur ?hnew - budget-value ?p - plane ?src - city ?dst - city)
  :precondition (and (budget ?hcur) (budget-decrement ?hcur bud25 ?hnew) (plane-at-city ?p ?src)
                     (can-fly ?src ?dst)
                )
  :effect (and (not (budget ?hcur)) (budget ?hnew) (increase (total-cost) 25) (not (plane-at-city ?p ?src))
               (plane-at-city ?p ?dst)
          )
 )
)
