(define
  (domain a-schedule-problem95)
  (:requirements :probabilistic-effects :negative-preconditions :typing)
  (:types budget-value - object class packet timestep phase - object)
  (:constants bud1 - budget-value  C0 - class Arrivals-and-updating Cleanup-and-service - phase U0 U1 U2 U3 - timestep P0 P1 P2 - packet)
  (:predicates (budget ?h - budget-value) (budget-decrement ?h0 ?h1 ?h2 - budget-value)
    (current-phase ?s - phase)
    (packet-class ?p - packet ?c - class)
    (time-to-live ?p - packet ?t - timestep)
    (available ?p - packet)
    (current-timestep ?t - timestep)
    (next-timestep ?t0 ?t1 - timestep)
    (need-to-process-arrivals ?c - class)
    (served ?c - class)
    (alive)
  )
  (:action process-arrivals-C0
    :parameters (?hcur ?hnew - budget-value ?arriving-packet - packet ?t - timestep)
    :precondition (and (budget ?hcur) (budget-decrement ?hcur bud1 ?hnew) (current-phase Arrivals-and-updating) (available ?arriving-packet) (need-to-process-arrivals C0) (current-timestep ?t))
    :effect (and (not (budget ?hcur)) (budget ?hnew) (increase (total-cost) 1) (not (need-to-process-arrivals C0)) (probabilistic 1/10 (and (not (available ?arriving-packet)) (time-to-live ?arriving-packet ?t) (packet-class ?arriving-packet C0))))
  )
  (:action time-update
    :parameters (?hcur ?hnew - budget-value ?t0 ?t1 - timestep)
    :precondition (and (budget ?hcur) (budget-decrement ?hcur bud1 ?hnew) (current-phase Arrivals-and-updating) (current-timestep ?t0) (next-timestep ?t0 ?t1) (not (need-to-process-arrivals C0)))
    :effect (and (not (budget ?hcur)) (budget ?hnew) (increase (total-cost) 1) (not (current-phase Arrivals-and-updating)) (current-phase Cleanup-and-service) (not (current-timestep ?t0)) (current-timestep ?t1))
  )
  (:action reclaim-packet-C0
    :parameters (?hcur ?hnew - budget-value ?p - packet ?t - timestep)
    :precondition (and (budget ?hcur) (budget-decrement ?hcur bud1 ?hnew) (current-phase Cleanup-and-service) (packet-class ?p C0) (time-to-live ?p ?t))
    :effect (and (not (budget ?hcur)) (budget ?hnew) (increase (total-cost) 1) (not (packet-class ?p C0)) (not (time-to-live ?p ?t)) (available ?p) (probabilistic 7/10 (and (not (alive)))))
  )
  (:action packet-serve
    :parameters (?hcur ?hnew - budget-value ?p - packet ?c - class ?t - timestep)
    :precondition (and (budget ?hcur) (budget-decrement ?hcur bud1 ?hnew) (current-phase Cleanup-and-service) (packet-class ?p ?c) (current-timestep ?t) (not (time-to-live P0 ?t)) (not (time-to-live P1 ?t)) (not (time-to-live P2 ?t)))
    :effect (and (not (budget ?hcur)) (budget ?hnew) (increase (total-cost) 1) (forall (?c1 - class) (need-to-process-arrivals ?c1)) (not (current-phase Cleanup-and-service)) (current-phase Arrivals-and-updating) (served ?c) (not (packet-class ?p ?c)) (forall (?u - timestep) (not (time-to-live ?p ?u))) (available ?p))
  )
  (:action serve-nothing
    :parameters (?hcur ?hnew - budget-value ?t - timestep)
    :precondition (and (budget ?hcur) (budget-decrement ?hcur bud1 ?hnew) (current-phase Cleanup-and-service) (current-timestep ?t) (not (time-to-live P0 ?t)) (not (time-to-live P1 ?t)) (not (time-to-live P2 ?t)))
    :effect (and (not (budget ?hcur)) (budget ?hnew) (increase (total-cost) 1) (forall (?c1 - class) (need-to-process-arrivals ?c1)) (not (current-phase Cleanup-and-service)) (current-phase Arrivals-and-updating))
  )
)