(define
  (domain search-and-rescue)
  (:requirements :typing :negative-preconditions :probabilistic-effects)
  (:types budget-value - object zone)
  (:constants bud1 - budget-value  base - zone)
  (:predicates (budget ?h - budget-value) (budget-decrement ?h0 ?h1 ?h2 - budget-value)
    (at ?loc - zone)
    (explored ?loc - zone)
    (landable ?loc - zone)
    (human-onboard)
    (human-alive)
    (human-rescued)
    (on-ground)
  )
  (:action goto-base-without-human
    :parameters (?hcur ?hnew - budget-value ?loc - zone)
    :precondition (and (budget ?hcur) (budget-decrement ?hcur bud1 ?hnew) (at ?loc) (not (= ?loc base)) (not (on-ground)) (not (human-onboard)))
    :effect (and (not (budget ?hcur)) (budget ?hnew) (increase (total-cost) 1) (not (at ?loc)) (at base))
  )
  (:action goto-base-with-human
    :parameters (?hcur ?hnew - budget-value ?loc - zone)
    :precondition (and (budget ?hcur) (budget-decrement ?hcur bud1 ?hnew) (at ?loc) (not (= ?loc base)) (not (on-ground)) (human-onboard))
    :effect (and (not (budget ?hcur)) (budget ?hnew) (increase (total-cost) 1) (not (at ?loc)) (at base) (probabilistic 0.05 (and (not (human-alive)))))
  )
  (:action goto-without-human
    :parameters (?hcur ?hnew - budget-value ?loc ?newloc - zone)
    :precondition (and (budget ?hcur) (budget-decrement ?hcur bud1 ?hnew) (at ?loc) (not (= ?loc ?newloc)) (not (= ?newloc base)) (not (on-ground)) (not (human-onboard)) (human-alive))
    :effect (and (not (budget ?hcur)) (budget ?hnew) (increase (total-cost) 1) (not (at ?loc)) (at ?newloc))
  )
  (:action goto-with-human
    :parameters (?hcur ?hnew - budget-value ?loc ?newloc - zone)
    :precondition (and (budget ?hcur) (budget-decrement ?hcur bud1 ?hnew) (at ?loc) (not (= ?loc ?newloc)) (not (= ?newloc base)) (not (on-ground)) (human-onboard) (human-alive))
    :effect (and (not (budget ?hcur)) (budget ?hnew) (increase (total-cost) 1) (not (at ?loc)) (at ?newloc) (probabilistic 0.05 (and (not (human-alive)))))
  )
  (:action explore
    :parameters (?hcur ?hnew - budget-value ?loc - zone)
    :precondition (and (budget ?hcur) (budget-decrement ?hcur bud1 ?hnew) (not (= ?loc base)) (at ?loc) (not (on-ground)) (human-alive) (not (explored ?loc)))
    :effect (and (not (budget ?hcur)) (budget ?hnew) (increase (total-cost) 1) (explored ?loc) (probabilistic 0.7 (landable ?loc)))
  )
  (:action land-base
    :parameters (?hcur ?hnew - budget-value )
    :precondition (and (budget ?hcur) (budget-decrement ?hcur bud1 ?hnew) (at base) (not (on-ground)) (human-onboard) (human-alive))
    :effect (and (not (budget ?hcur)) (budget ?hnew) (increase (total-cost) 1) (on-ground) (human-rescued))
  )
  (:action land
    :parameters (?hcur ?hnew - budget-value ?loc - zone)
    :precondition (and (budget ?hcur) (budget-decrement ?hcur bud1 ?hnew) (at ?loc) (not (on-ground)) (not (= ?loc base)) (human-alive) (landable ?loc))
    :effect (and (not (budget ?hcur)) (budget ?hnew) (increase (total-cost) 1) (on-ground) (not (landable ?loc)) (probabilistic 0.2 (and (not (human-alive))) 0.8 (human-onboard)))
  )
  (:action takeoff
    :parameters (?hcur ?hnew - budget-value ?loc - zone)
    :precondition (and (budget ?hcur) (budget-decrement ?hcur bud1 ?hnew) (on-ground) (at ?loc))
    :effect (and (not (budget ?hcur)) (budget ?hnew) (increase (total-cost) 1) (not (on-ground)))
  )
)